//옵션 추가정보 열 추가
var fixed_ea = 5;
var rowcount_opt = 0;
$(document).ready(function() {
	if ( $("#opt_hidden_count").val() > 0) {
		rowcount_opt = parseInt($("#opt_hidden_count").val());
	}
});
//jQuery(function($) {
	//$(document).ready(function() {
		function append_opt() {
			if(rowcount_opt < fixed_ea){
				var tbl = document.getElementById("product_opt").getElementsByTagName("TBODY")[0];  
				var html1 = "<input type='hidden' id='opt_hidden_value_"+rowcount_opt+"' name='opt_hidden_value_"+rowcount_opt+"'><input type='text' id='opt_subject_"+rowcount_opt+"' name='opt_subject_"+rowcount_opt+"' style='width:100%' maxlength='250' class='input' />";  
				var html2 = "<select id='opt_contents_"+rowcount_opt+"' name='opt_contents_"+rowcount_opt+"' style='width:100%'></select>";   
				var html3 = "<a href='javascript:void(0);' onclick='LayerShowProductOpt("+rowcount_opt+", event)'><img src='/backoffice/images/k_add.gif' alt='추가' /></a>  <a href='javascript:void(0);' onclick='getProductOpt("+rowcount_opt+", document.getElementById(\"opt_contents_"+rowcount_opt+"\").selectedIndex, document.getElementById(\"opt_contents_"+rowcount_opt+"\").value, event)'><img src='/backoffice/images/k_modify.gif' alt='수정' /></a> <a href='javascript:void(0);' onclick='delProductOpt("+rowcount_opt+", document.getElementById(\"opt_contents_"+rowcount_opt+"\").selectedIndex)'><img src='/backoffice/images/k_delete.gif' alt='삭제' /></a>";   
				var row = document.createElement("tr"); 
				var col1 = document.createElement("td");   
				var col2 = document.createElement("td"); 
				var col3 = document.createElement("td"); 
				row.appendChild(col1);  
				row.appendChild(col2);
				row.appendChild(col3);
				col1.innerHTML = html1;  
				col2.innerHTML = html2;  
				col3.innerHTML = html3;  
				tbl.appendChild(row);  
				rowcount_opt++;
			}else{
				alert("옵션은 최대 "+fixed_ea+" 개까지 추가할 수 있습니다.");
			}
		}

		function remove_opt() {  
			if(rowcount_opt > 0){
				var tbl = document.getElementById("product_opt").getElementsByTagName("TBODY")[0];  
				if (tbl.hasChildNodes()) {      
					tbl.removeChild(tbl.lastChild);     // 마지막 로우   //tbl.removeChild(tbl.firstChild);  // 첫번째 로우  
				}
				rowcount_opt--;
			}
		}
		//옵션 추가정보 열 추가


		//레이어 닫기
		function LayerHideProductOpt() {
			$('#layerProductOpt').hide();
		}


		// 세부 항목추가 레이어 보이기 =========================
		function LayerShowProductOpt(o_no, e){
			layerPositionSet('layerProductOpt', e);
				$('#layerProductOpt').html("<table width='130'><tr><form name='optInsertFrm'><td>항목명</td><td><input type='text' name='newOpt' id='newOpt' size='10'></td></tr><tr><td>추가금</td><td><input type='text' name='newOptPrice' id='newOptPrice' size='10'></td></tr><tr><td colspan='2' align='center'><input type='button' value='입력' onClick='addProductOpt("+o_no+", document.getElementById(\"newOpt\").value, document.getElementById(\"newOptPrice\").value);'>&nbsp;&nbsp;&nbsp;<input type='button' value='취소' onclick='LayerHideProductOpt();'></td></tr></form></table>");
		}

		// 세부 항목수정 레이어 보이기 =========================
		function LayerShowProductOptEdit(o_no, o_name, o_price, idx, e){
			if(idx=="-1"){
				alert("수정할 항목을 선택하세요.");
			}else{
				layerPositionSet('layerProductOpt', e);
				$('#layerProductOpt').html("<table width='130'><tr><form name='optInsertFrm'><td>항목명</td><td><input type='text' name='newOpt' id='newOpt' size='10'></td></tr><tr><td>추가금</td><td><input type='text' name='newOptPrice' id='newOptPrice' size='10' value="+o_price+"></td></tr><tr><td colspan='2' align='center'><input type='button' value='수정' onclick='editProductOpt("+o_no+", document.getElementById(\"newOpt\").value, document.getElementById(\"newOptPrice\").value, "+idx+");'>&nbsp;&nbsp;&nbsp;<input type='button' value='취소' onclick='LayerHideProductOpt();'></td></tr></form></table>");
				$("#layerProductOpt #newOpt").val(o_name);
			}
		}

		//옵션 항목추가
		function addProductOpt(o_no, o_name, o_price){
			var div_id = "#opt_contents_" + o_no;
			//$(div_id).options[$(div_id).length] = new Option(o_name+"|"+o_price,o_name+"|"+o_price);
			$(div_id).append("<option value=\""+o_name+"|"+o_price+"\" >"+o_name+"|"+o_price+"</option>");
			LayerHideProductOpt();
		}

		//옵션 항목수정
		function editProductOpt(o_no, o_name, o_price, idx){
			var div_id = "#opt_contents_" + o_no;
			//$(div_id).options[idx] = new Option(o_name+"|"+o_price,o_name+"|"+o_price);
			$(div_id+" option:eq("+idx+")").replaceWith("<option value=\""+o_name+"|"+o_price+"\" >"+o_name+"|"+o_price+"</option>");
			LayerHideProductOpt();
		}

		//옵션 항목정보 가져오기
		function getProductOpt(o_no, idx, val, e){
			var optArray = new Array();
			optArray = val.split("|");
			LayerShowProductOptEdit(o_no, optArray[0], optArray[1], idx, e);
		}

		//옵션 항목삭제
		function delProductOpt(o_no, idx){
			var div_id = "#opt_contents_" + o_no;
			if(idx=="-1"){
				alert("삭제할 항목을 선택하세요.");
			}else{
				//$(div_id).options[idx] = null;
				$(div_id+" option:eq("+idx+")").remove();
			}

		}



		// 상품분류 추가 레이어 보이기 =========================

		//레이어 닫기
		function LayerHideGoodCat() {
			$('#layerGoodCat').hide();
		}

		function LayerShowGoodCat(e){
			layerPositionSet('layerGoodCat',e);

			$.ajax({
				type:"get",
				url:"/module/shop/ajax_ext_cat.php",
					/*
				data:{
					evnMode: "add",
					g_idx: g_idx,
					qty: qty,
					opt_1: opt_1,
					opt_2: opt_2,
					opt_3: opt_3,
					opt_4: opt_4,
					opt_5: opt_5,
					opt_rel_1: opt_rel_1,
					opt_rel_2: opt_rel_2
				},
				*/
				datatype:"text",
				success: function(transport){
					var response = transport || "응답된 내역이 없습니다."; 
					var cfm = false;
					$('#layerGoodCat').html(response);
				},
				error:function(msg){
					alert("로드에러");
					document.reload();
				},
				complete : function(){
				},
				beforeSend : function() {
				}
			});

			/*
			new Ajax.Request('/module/shop/ajax_ext_cat.php',
			{
				method:'get',
				//parameters: {idx: idx, opt_1: opt_1},
				asynchronous: this.asynchronous,
				encoding: 'euc-kr',
				contentType: 'application/x-www-form-urlencoded',

				onSuccess: function(transport){
					var response = transport.responseText || "응답된 내역이 없습니다."; 
					//alert(transport.responseText);
					$('#layerGoodCat').innerHTML = response;
				},
				
				onFailure: function(){ 
					alert('AJAX 데이터 응답중 오류가 발생하였습니다.') 
				}   
			});
			*/
		}

		//상품분류 항목추가
		function addGoodCat(cat_no){
			if(cat_no !=""){
				var div_id = "ext_cat";
				$("#"+div_id).options[$(div_id).length] = new Option(arrayAllCategory[cat_no], cat_no);
				LayerHideGoodCat();
			}else{
				alert("분류를 선택하세요.");
				$("#t_ext_cat1").focus();
			}
		}

		//상품분류 항목삭제
		function delGoodCat(idx){
			var div_id = "ext_cat";
			if(idx=="-1"){
				alert("삭제할 항목을 선택하세요.");
			}else{
				$("#"+div_id).options[idx] = null;
			}
		}



		// 관련상품 추가 레이어 보이기 =========================

		//레이어 닫기 - iframe 에서 부르기 때문에 parent
		function LayerHideRelGood() {
			//parent.$('layerRelGood').hide();
			$('#layerRelGood', document.parent).hide();
		}

		function LayerShowRelGood(e){
			layerPositionSet('layerRelGood', e);
			$('#iframeRelGood').src = "/backoffice/module/shop/rel_good.php";
		}

		//상품분류 항목삭제
		function delRelGood(idx){
			var div_id = "rel_good";
			if(idx=="-1"){
				alert("삭제할 항목을 선택하세요.");
			}else{
				$("#"+div_id).options[idx] = null;
			}
		}

		//체크한 아이템 주문 - iframe 에서 부르기 때문에 parent
		function addRelGoodChecked(f){
			//1개이상 체크했는지 검사
			var obj = document.getElementsByName('items[]'); 
			var objlength = obj.length;
			var objchecked = 0;
			var objstring = new Array();
			var arr = new Array();
			//패런트의 관련상품이 현재 몇개있나
			var j = parent.$("rel_good").length;
			for(i=0; i<objlength; i++){
				if(obj[i].checked==true){
					objstring[objchecked] = obj[i].value;
					objchecked++;
				}
			}

			if(objchecked < 1){
				alert("선택하신 상품이 없습니다.");
				return;
			}

			for(i=0;i<objstring.length;i++){
				arr = objstring[i].split("|");
				parent.$("rel_good").options[i+j] = new Option(arr[1],arr[0]);
			}

			LayerHideRelGood();
		}
		// 관련상품 추가 레이어 보이기 =========================


		//재고관리 설정
		function checkStockManage(st){
			if(st=="1"){
				$('#layerStock').hide();
				$('#layerOption2').hide();
			}else if(st=="2"){
				$('#layerStock').show();
				$('#layerOption2').hide();
			}else if(st=="3"){
				$('#layerStock').hide();
				$('#layerOption2').show();
			}
		}

		//이미지 타입 설정
		function checkImageType(st){
			if(st=="2"){
				$('layerImage1').hide();
				$('layerImage2').show();
			}else{
				$('layerImage1').show();
				$('layerImage2').hide();
			}
		}

		//상품 입력폼 체크
		function goodCheckForm(frm){
			if (frm.cat_no.value==""){
				alert("상품분류를 선택해 주십시요.");
				frm.cat.focus();
				return false;
			}
			if (frm.g_name.value==""){
				alert("상품명을 입력해 주십시요.");
				frm.g_name.focus();
				return false;
			}
			
			//상품 옵션정보 데이터 조합
			$("#opt_hidden_count").val(0);
			for(i=0;i<fixed_ea;i++){
				try{
					var opt_subject_id = "#opt_subject_" + i;
					var opt_contents_id = "#opt_contents_" + i;
					var opt_value_id = "#opt_hidden_value_" + i;
					if ($(opt_contents_id).length) {
						for(j=0;j<$(opt_contents_id+" option").length;j++){
							$(opt_value_id).val($(opt_value_id).val() + $(opt_contents_id+" option:eq("+j+")").val());
							//마지막이 아니면 구분자 추가
							if(j < $(opt_contents_id+" option").length-1){
								$(opt_value_id).val($(opt_value_id).val() + "|:|");
							}
						}
						$("#opt_hidden_count").val($("#opt_hidden_count").val() + 1);
					}
				}catch(e){}
			}


			//추가카테고리 조합
			try{
				for(j=0;j<$("ext_cat").length;j++){
					$("ext_cat_hidden").value += $("ext_cat")[j].value;
					//마지막이 아니면 구분자 추가
					if(j+1 != $("ext_cat").length){
						$("ext_cat_hidden").value += "|:|";
					}
				}
			}catch(e){}


			//관련상품 조합 : 상품의 idx 만 저장할 것이기 때문에 구분자를 | 하나만 함
			try{
				for(j=0;j<$("rel_good").length;j++){
					$("rel_good_hidden").value += $("rel_good")[j].value;
					//마지막이 아니면 구분자 추가
					if(j+1 != $("rel_good").length){
						$("rel_good_hidden").value += "|";
					}
				}
			}catch(e){}

			try{ contents.outputBodyHTML(); } catch(e){ }
			try{ mokcha.outputBodyHTML(); } catch(e){ }
			try{ author_text.outputBodyHTML(); } catch(e){ }
		}

		//이미지 상세보기 레이어
		function LayerShowImage(img, e){
			layerPositionSet('layerImageShow', e);
			$('#layerImageShow').html("<a href='javascript:;' onclick='LayerHideImage();'><img src='/uploaded/shop_good/"+img+"' border=0></a>");
		}

		//레이어 닫기
		function LayerHideImage() {
			$('#layerImageShow').hide();
		}

		//연계재고 옵션 가져오기
		function getRelOpt(idx, opt_1){
			if(idx != "" || opt_1){

				$.ajax({
					type:"get",
					url:"/module/shop/ajax_ext_cat.php",
					data:{
						idx: idx,
						opt_1: opt_1
					},
					datatype:"text",
					success: function(transport){
						var response = transport || "응답된 내역이 없습니다."; 
						setRelOpt(response);
					},
					error:function(msg){
						alert("로드에러");
						document.reload();
					},
					complete : function(){
					},
					beforeSend : function() {
					}
				});

				/*
				new Ajax.Request('/module/shop/ajax_get_rel_opt.php',
				{
					method:'get',
					parameters: {idx: idx, opt_1: opt_1},
					asynchronous: this.asynchronous,
					encoding: 'utf-8',
					contentType: 'application/x-www-form-urlencoded',

					onSuccess: function(transport){
						var response = transport.responseText || "응답된 내역이 없습니다."; 
						//alert(transport.responseText);
						setRelOpt(response);
					},
					
					onFailure: function(){ 
						alert('AJAX 데이터 응답중 오류가 발생하였습니다.') 
					}   
				});
				*/
			}

		}

		function setRelOpt(txt){
			//alert(txt);
			var opt = new Array();
			var arr = new Array();
			var stk;
			var prc;
			opt = txt.split("||");
			//초기화	
			for(i=1; i< $("opt_rel_contents_1").length; i++){
				$("opt_rel_contents_1").options[i] = null;
			}
			for(i=0; i<opt.length; i++){
				arr = opt[i].split("**");

				if(arr[1] > "0"){
					prc = " (+"+addComma(arr[1])+")";
				}else{
					prc = "";
				}

				//재고가 없을경우 값을 -1 로 설정
				if(arr[2]=="0"){
					$("opt_rel_contents_1").options[i+1] = new Option(arr[0]+" (품절)","-1");
				}else{
					$("opt_rel_contents_1").options[i+1] = new Option(arr[0]+prc,arr[0]+"|"+arr[1]);
				}
			}
		}

		//옵션가격 설정
		function setOptPrice(){
			var price;
			var point;
			var total_price;
			var opt_price;	
			var cnt;
			//price = parseInt($("basicPrice").value);
			//point = parseInt($("basicPoint").value);
			//cnt = parseInt($("qty").value);
			price = document.getElementById("basicPrice").value;
			point = document.getElementById("basicPoint").value;
			cnt = document.getElementById("qty").value;

			if(cnt > 0){
				cnt = cnt;
			}else{
				cnt = 0;
			}
			//옵션가격 초기화
			var option_price1, option_price2, option_price3, option_price4, option_price5, option_price_rel1, option_price_rel2;
			option_price1 = 0;
			option_price2 = 0;
			option_price3 = 0;
			option_price4 = 0;
			option_price5 = 0;
			option_price_rel1 = 0;
			option_price_rel2 = 0;
			opt_price = option_price1 + option_price2 + option_price3 + option_price4 + option_price5 + option_price_rel1 + option_price_rel2;

			try{
				option_price1 = $("opt_contents_0").value.split("|")[1];
				if(option_price1 > 0){
					opt_price = opt_price + parseInt(option_price1);
				}
			}catch(e){}
			try{
				option_price2 = $("opt_contents_1").value.split("|")[1];
				if(option_price2 > 0){
					opt_price = opt_price + parseInt(option_price2);
				}
			}catch(e){}
			try{
				option_price3 = $("opt_contents_2").value.split("|")[1];
				if(option_price3 > 0){
					opt_price = opt_price + parseInt(option_price3);
				}
			}catch(e){}
			try{
				option_price4 = $("opt_contents_3").value.split("|")[1];
				if(option_price4 > 0){
					opt_price = opt_price + parseInt(option_price4);
				}
			}catch(e){}
			try{
				option_price5 = $("opt_contents_4").value.split("|")[1];
				if(option_price5 > 0){
					opt_price = opt_price + parseInt(option_price5);
				}
			}catch(e){}
			try{
				option_price_rel1 = $("opt_rel_contents_1").value.split("|")[1];
				if(option_price_rel1 > 0){
					opt_price = opt_price + parseInt(option_price_rel1);
				}
			}catch(e){}
			try{
				option_price_rel2 = $("opt_rel_contents_2").value.split("|")[1];
				if(option_price_rel2 > 0){
					opt_price = opt_price + parseInt(option_price_rel2);
				}
			}catch(e){}
			total_price = (parseInt(price)+parseInt(opt_price))*cnt;
			total_point = (point*total_price)/100;
			//alert(total_price);
			try{
				//$("payPrice").innerHTML= addComma(total_price)+"원";
				document.getElementById("payPrice").innerHTML = addComma(total_price)+" 원";
			}catch(e){}
			try{
			$("divPrice").innerHTML= addComma(total_price)+" 원";
			}catch(e){}
			try{
			$("divPoint").innerHTML= addComma(total_point);
			}catch(e){}
		}

		//장바구니에 담기
		function addCart(g_idx,qty){
			var opt_1, opt_2, opt_3, opt_4, opt_5, opt_rel_1, opt_rel_2;

			if(qty < 1){
				alert("구매수량은 1개 이상입니다.");
				return;
			}

			for(i=0;i<fixed_ea;i++){
				try{
					var opt_name_id = "opt_name_" + i;
					var opt_contents_id = "opt_contents_" + i;

					if(jQuery("#"+opt_contents_id).val() == ""){
						alert(jQuery("#"+opt_contents_id+" option:eq(0)").text() + "(을)를 선택하세요.");
						$(opt_contents_id).focus();
						return;
					}
					if(i==0){opt_1 = jQuery("#"+opt_contents_id).val();}
					if(i==1){opt_2 = jQuery("#"+opt_contents_id).val();}
					if(i==2){opt_3 = jQuery("#"+opt_contents_id).val();}
					if(i==3){opt_4 = jQuery("#"+opt_contents_id).val();}
					if(i==4){opt_5 = jQuery("#"+opt_contents_id).val();}

				}catch(e){}
			}

			//연계옵션 체크
			for(i=0;i<2;i++){
				try{
					var opt_name_id = "opt_rel_name_" + i;
					var opt_contents_id = "opt_rel_contents_" + i;

					if($F(opt_contents_id)==""){
						alert($("#"+opt_name_id+" option:eq(0)").text() + "(을)를 선택하세요.");
						$("#"+opt_contents_id).focus();
						return;
					}
					if(i==0){opt_rel_1 = $("#"+opt_contents_id).val();}
					if(i==1){opt_rel_2 = $("#"+opt_contents_id).val();}

				}catch(e){}
			}

			///*

			$.ajax({
				type:"POST",
				url:"/module/shop/ajax_cart_process.php",
				data:{
					evnMode: "add",
					g_idx: g_idx,
					qty: qty,
					opt_1: opt_1,
					opt_2: opt_2,
					opt_3: opt_3,
					opt_4: opt_4,
					opt_5: opt_5,
					opt_rel_1: opt_rel_1,
					opt_rel_2: opt_rel_2
				},
				datatype:"text",
				success: function(transport){
					var response = transport || "응답된 내역이 없습니다."; 
					var cfm = false;
					if(response=="true"){
						cfm = confirm("장바구니에 담았습니다.\n\n지금 확인 하시겠습니까?");
						if(cfm==true){
							document.location.href="/shop.php?goPage=Cart";
						}
					}else{
						alert("장바구니에 담기 실패!");
					}
				},
				error:function(msg){
					alert("로드에러");
					document.reload();
				},
				complete : function(){
				},
				beforeSend : function() {
				}
			});

			/*
			new Ajax.Request('/module/shop/ajax_cart_process.php',
			{
				method:'post',
				parameters: {evnMode: "add", g_idx: g_idx, qty: qty, opt_1: opt_1, opt_2: opt_2, opt_3: opt_3, opt_4: opt_4, opt_5: opt_5, opt_rel_1: opt_rel_1, opt_rel_2: opt_rel_2},
				asynchronous: this.asynchronous,
				encoding: 'utf-8',
				contentType: 'application/x-www-form-urlencoded',

				onSuccess: function(transport){
					var response = transport.responseText || "응답된 내역이 없습니다."; 
					var cfm = false;
		//			alert(response);
					if(response=="true"){
						cfm = confirm("장바구니에 담았습니다.\n\n지금 확인 하시겠습니까?");
						if(cfm==true){
							document.location.href="/shop.php?goPage=Cart";
						}
					}else{
						alert("장바구니에 담기 실패!");
					}
				},
				
				onFailure: function(){ 
					alert('AJAX 데이터 응답중 오류가 발생하였습니다.') 
				}   
			});
			*/

		}

		//바로구매
		function buyDirect(g_idx,qty, nhn){
			var opt_1, opt_2, opt_3, opt_4, opt_5, opt_rel_1, opt_rel_2;

			if(qty < 1){
				alert("구매수량은 1개 이상입니다.");
				return;
			}

			for(i=0;i<fixed_ea;i++){
				try{
					var opt_name_id = "opt_name_" + i;
					var opt_contents_id = "opt_contents_" + i;

					if(jQuery("#"+opt_contents_id).val() == ""){
						alert(jQuery("#"+opt_contents_id+" option:eq(0)").text() + "(을)를 선택하세요.");
						$(opt_contents_id).focus();
						return;
					}
					if(i==0){opt_1 = jQuery("#"+opt_contents_id).val();}
					if(i==1){opt_2 = jQuery("#"+opt_contents_id).val();}
					if(i==2){opt_3 = jQuery("#"+opt_contents_id).val();}
					if(i==3){opt_4 = jQuery("#"+opt_contents_id).val();}
					if(i==4){opt_5 = jQuery("#"+opt_contents_id).val();}

				}catch(e){}
			}

			//연계옵션 체크
			for(i=0;i<2;i++){
				try{
					var opt_name_id = "opt_rel_name_" + i;
					var opt_contents_id = "opt_rel_contents_" + i;

					if($F(opt_contents_id)==""){
						alert($F(opt_name_id) + "(을)를 선택하세요.");
						$(opt_contents_id).focus();
						return;
					}
					if(i==0){opt_rel_1 = $F(opt_contents_id);}
					if(i==1){opt_rel_2 = $F(opt_contents_id);}

				}catch(e){}
			}

			//모바일 접근 확인용
			var mobile = false;
			var uAgent = navigator.userAgent.toLowerCase();
			var mobilePhones = new Array('iphone','ipod','android','blackberry','windows ce','nokia','webos','opera mini','sonyericsson','opera mobi','iemobile');

			for(var i=0;i<mobilePhones.length;i++)
			{
				if(uAgent.indexOf(mobilePhones[i]) != -1)
				{
					mobile = true;
					break;
				}
			}

			if (mobile)
			{
				orderLink = "/shop.php?goPage=OrderMobile"
			}
			else
			{
				orderLink = "/shop.php?goPage=Order"
			}

			$.ajax({
				type:"POST",
				url:"/module/shop/ajax_cart_process.php",
				data:{
					evnMode: "direct",
					g_idx: g_idx,
					qty: qty,
					opt_1: opt_1,
					opt_2: opt_2,
					opt_3: opt_3,
					opt_4: opt_4,
					opt_5: opt_5,
					opt_rel_1: opt_rel_1,
					opt_rel_2: opt_rel_2
				},
				datatype:"text",
				success: function(transport){
					var response = transport || "응답된 내역이 없습니다."; 
					var cfm = false;
					if(response=="true"){
						if(nhn == "1") {
							document.location.href="/module/shop/nhn_check.php?gb=direct";
						} else {
							document.location.href=orderLink;
						}
					}else{
						alert("바로구매 진행중 실패 하였습니다.");
					}
				},
				error:function(msg){
					alert("로드에러");
					document.reload();
				},
				complete : function(){
				},
				beforeSend : function() {
				}
			});

			/*
			new Ajax.Request('/module/shop/ajax_cart_process.php',
			{
				method:'post',
				parameters: {evnMode: "direct", g_idx: g_idx, qty: qty, opt_1: opt_1, opt_2: opt_2, opt_3: opt_3, opt_4: opt_4, opt_5: opt_5, opt_rel_1: opt_rel_1, opt_rel_2: opt_rel_2},
				asynchronous: this.asynchronous,
				encoding: 'utf-8',
				contentType: 'application/x-www-form-urlencoded',

				onSuccess: function(transport){
					var response = transport.responseText || "응답된 내역이 없습니다."; 
					if(response=="true"){
						if(nhn == "1") {
							document.location.href="/module/shop/nhn_check.php?gb=direct";
						} else {
							document.location.href=orderLink;
						}
					}else{
						alert("바로구매 진행중 실패 하였습니다.");
					}
				},
				
				onFailure: function(){ 
					alert('AJAX 데이터 응답중 오류가 발생하였습니다.') 
				}   
			});
			*/

		}


		//위시리스트에 담기
		function addWish(g_idx, rt_url){

			$.ajax({
				type:"POST",
				url:"/module/shop/ajax_wish_process.php",
				data:{
					evnMode: "add",
					g_idx: g_idx
				},
				datatype:"text",
				success: function(transport){
					var response = transport || "응답된 내역이 없습니다."; 
					var cfm = false;
					if(response=="true"){
						cfm = confirm("위시리스트에 담았습니다.\n\n지금 확인 하시겠습니까?");
						if(cfm==true){
							document.location.href="/shop.php?goPage=WishList";
						}
					}else if(response=="nologin"){
						cfm = confirm("회원전용입니다.\n\n지금 로그인 하시겠습니까?");
						if(cfm==true){
							document.location.href="/member.php?goPage=Login&rt_url="+rt_url;
						}
					}else{
						alert("위시리스트에 담기 실패!");
					}
				},
				error:function(msg){
					alert("로드에러");
					document.reload();
				},
				complete : function(){
				},
				beforeSend : function() {
				}
			});

			/*
			new Ajax.Request('/module/shop/ajax_wish_process.php',
			{
				method:'post',
				parameters: {evnMode: "add", g_idx: g_idx},
				asynchronous: this.asynchronous,
				encoding: 'utf-8',
				contentType: 'application/x-www-form-urlencoded',

				onSuccess: function(transport){
					var response = transport.responseText || "응답된 내역이 없습니다."; 
					var cfm = false;
					if(response=="true"){
						cfm = confirm("위시리스트에 담았습니다.\n\n지금 확인 하시겠습니까?");
						if(cfm==true){
							document.location.href="/shop.php?goPage=WishList";
						}
					}else if(response=="nologin"){
						cfm = confirm("회원전용입니다.\n\n지금 로그인 하시겠습니까?");
						if(cfm==true){
							document.location.href="/member.php?goPage=Login&rt_url="+rt_url;
						}
					}else{
						alert("위시리스트에 담기 실패!");
					}
				},
				
				onFailure: function(){ 
					alert('AJAX 데이터 응답중 오류가 발생하였습니다.') 
				}   
			});
			*/

		}

		//장바구시 수량수정
		function updateCart(c_idx,qty){
			if(qty < 1){
				alert("구매수량은 1개 이상입니다.");
				return;
			}

			$.ajax({
				type:"POST",
				url:"/module/shop/ajax_cart_process.php",
				data:{
					evnMode: "update",
					c_idx: c_idx,
					qty: qty
				},
				datatype:"text",
				success: function(transport){
					var response = transport || "응답된 내역이 없습니다."; 
					var cfm = false;
					if(response=="true"){
						document.location.reload();
					}else{
						alert("주문수량 수정 실패!");
					}
				},
				error:function(msg){
					alert("로드에러");
					document.reload();
				},
				complete : function(){
				},
				beforeSend : function() {
				}
			});

			/*
			new Ajax.Request('/module/shop/ajax_cart_process.php',
			{
				method:'post',
				parameters: {evnMode: "update", c_idx: c_idx, qty: qty},
				asynchronous: this.asynchronous,
				encoding: 'utf-8',
				contentType: 'application/x-www-form-urlencoded',

				onSuccess: function(transport){
					var response = transport.responseText || "응답된 내역이 없습니다."; 
					if(response=="true"){
						//alert("주문수량을 수정하였습니다.");
						document.location.reload();
					}else{
						alert("주문수량 수정 실패!");
					}
				},
				
				onFailure: function(){ 
					alert('AJAX 데이터 응답중 오류가 발생하였습니다.') 
				}   
			});
			*/

		}

		//장바구니에서 아이템 삭제
		function deleteCart(c_idx){

			$.ajax({
				type:"POST",
				url:"/module/shop/ajax_cart_process.php",
				data:{
					evnMode: "delete",
					c_idx: c_idx
				},
				datatype:"text",
				success: function(transport){
					var response = transport || "응답된 내역이 없습니다."; 
					var cfm = false;
					if(response=="true"){
						document.location.reload();
					}else{
						alert("장바구니 아이템 삭제 실패!");
					}
				},
				error:function(msg){
					alert("로드에러");
					document.reload();
				},
				complete : function(){
				},
				beforeSend : function() {
				}
			});
			/*
			new Ajax.Request('/module/shop/ajax_cart_process.php',
			{
				method:'post',
				parameters: {evnMode: "delete", c_idx: c_idx},
				asynchronous: this.asynchronous,
				encoding: 'utf-8',
				contentType: 'application/x-www-form-urlencoded',

				onSuccess: function(transport){
					var response = transport.responseText || "응답된 내역이 없습니다."; 
					//alert(response);
					if(response=="true"){
						document.location.reload();
					}else{
						alert("장바구니 아이템 삭제 실패!");
					}
				},
				
				onFailure: function(){ 
					alert('AJAX 데이터 응답중 오류가 발생하였습니다.') 
				}
			});
			*/

		}

		//위시리스트에서 아이템 삭제
		function deleteWish(c_idx){
			$.ajax({
				type:"POST",
				url:"/module/shop/ajax_wish_process.php",
				data:{
					evnMode: "delete",
					c_idx: c_idx
				},
				datatype:"text",
				success: function(transport){
					var response = transport || "응답된 내역이 없습니다."; 
					var cfm = false;
					if(response=="true"){
						document.location.reload();
					}else{
						alert("위시리스트 아이템 삭제 실패!");
					}
				},
				error:function(msg){
					alert("로드에러");
					document.reload();
				},
				complete : function(){
				},
				beforeSend : function() {
				}
			});
			/*
			new Ajax.Request('/module/shop/ajax_wish_process.php',
			{
				method:'post',
				parameters: {evnMode: "delete", c_idx: c_idx},
				asynchronous: this.asynchronous,
				encoding: 'utf-8',
				contentType: 'application/x-www-form-urlencoded',

				onSuccess: function(transport){
					var response = transport.responseText || "응답된 내역이 없습니다."; 
					//alert(response);
					if(response=="true"){
						document.location.reload();
					}else{
						alert("위시리스트 아이템 삭제 실패!");
					}
				},
				
				onFailure: function(){ 
					alert('AJAX 데이터 응답중 오류가 발생하였습니다.') 
				}   
			});
			*/

		}

		//셀렉트 박스 전체체크
		function checkboxCheckAll(status){
			var obj = document.getElementsByName('items[]'); 
			var objlength = obj.length;
			for(i=0; i<objlength; i++){
				if(status==1){
					obj[i].checked=true;
				}else{
					obj[i].checked=false;
				}
			}
		}

		//체크한 아이템 삭제
		function deleteCartChecked(f){
			//1개이상 체크했는지 검사
			var obj = document.getElementsByName('items[]'); 
			var objlength = obj.length;
			var objchecked = 0;
			for(i=0; i<objlength; i++){
				if(obj[i].checked==true){
					objchecked++;
				}
			}

			if(objchecked < 1){
				alert("선택하신 상품이 없습니다.");
				return;
			}

			var cfm = false;
			cfm = confirm("선택하신 상품들을 장바구니에서 삭제 하시겠습니까?");
			if(cfm==true){
				f.evnMode.value = "deleteCartChecked";
				f.action = "/module/shop/cart_evn.php";
				f.submit();
			}
		}

		//체크한 아이템 주문
		function orderCartChecked(f, nhn){
			//1개이상 체크했는지 검사
			var obj = document.getElementsByName('items[]'); 
			var objlength = obj.length;
			var objchecked = 0;
			for(i=0; i<objlength; i++){
				if(obj[i].checked==true){
					objchecked++;
				}
			}

			if(objchecked < 1){
				alert("선택하신 상품이 없습니다.");
				return;
			}

			//모바일 접근 확인용
			var mobile = false;
			var uAgent = navigator.userAgent.toLowerCase();
			var mobilePhones = new Array('iphone','ipod','android','blackberry','windows ce','nokia','webos','opera mini','sonyericsson','opera mobi','iemobile');

			for(var i=0;i<mobilePhones.length;i++)
			{
				if(uAgent.indexOf(mobilePhones[i]) != -1)
				{
					mobile = true;
					break;
				}
			}

			
			if(nhn == "1") {
				document.location.href="/module/shop/nhn_check.php?gb=cart";
			} else {
				if (mobile)
				{
					f.evnMode.value = "orderCartCheckedMobile";
				}
				else
				{
					f.evnMode.value = "orderCartChecked";
				}

				f.action = "/module/shop/cart_evn.php";
				f.submit();
			}
		}

		//전체체크후 주문
		function orderCartAll(f, nhn){
			//전체체크후
			checkboxCheckAll("1");
			//주문
			orderCartChecked(f, nhn);
		}

		//장바구니에서 1개 상품 주문
		function orderCartOne(c_idx){
			new Ajax.Request('/module/shop/ajax_cart_process.php',
			{
				method:'post',
				parameters: {evnMode: "orderOne", c_idx: c_idx},
				asynchronous: this.asynchronous,
				encoding: 'utf-8',
				contentType: 'application/x-www-form-urlencoded',

				onSuccess: function(transport){
					var response = transport.responseText || "응답된 내역이 없습니다."; 
					if(response=="true"){
						document.location.href="/shop.php?goPage=Order";
					}else{
						alert("잠시후 다시 시도해 주세요.");
					}
				},
				
				onFailure: function(){ 
					alert('AJAX 데이터 응답중 오류가 발생하였습니다.') 
				}   
			});

		}

		//위시리스트 체크한 아이템 삭제
		function deleteWishChecked(f){
			//1개이상 체크했는지 검사
			var obj = document.getElementsByName('items[]'); 
			var objlength = obj.length;
			var objchecked = 0;
			for(i=0; i<objlength; i++){
				if(obj[i].checked==true){
					objchecked++;
				}
			}

			if(objchecked < 1){
				alert("선택하신 상품이 없습니다.");
				return;
			}

			var cfm = false;
			cfm = confirm("선택하신 상품들을 위시리스트에서 삭제 하시겠습니까?");
			if(cfm==true){
				f.evnMode.value = "deleteWishChecked";
				f.action = "/module/shop/wish_evn.php";
				f.submit();
			}
		}

		//위시리스트 체크한 아이템 카트에 담기
		function addCartWishChecked(f){
			//1개이상 체크했는지 검사
			var obj = document.getElementsByName('items[]'); 
			var objlength = obj.length;
			var objchecked = 0;
			for(i=0; i<objlength; i++){
				if(obj[i].checked==true){
					objchecked++;
				}
			}

			if(objchecked < 1){
				alert("선택하신 상품이 없습니다.");
				return;
			}

			f.evnMode.value = "addCartWishChecked";
			f.action = "/module/shop/wish_evn.php";
			f.submit();
		}


		//주문서에서 주문자 정보와 수취인 정보가 같게 설정
		function shipInfoAssign(st){
			f = document.frmOrderForm;
			if(st==true){
				f.ship_name.value = f.order_name.value;
				f.ship_zip.value = f.order_zip.value;
				//f.ship_zip2.value = f.order_zip2.value;
				f.ship_address.value = f.order_address.value;
				f.ship_address_ext.value = f.order_address_ext.value;
				f.ship_phone1.value = f.order_phone1.value;
				f.ship_phone2.value = f.order_phone2.value;
				f.ship_phone3.value = f.order_phone3.value;
				f.ship_mobile1.value = f.order_mobile1.value;
				f.ship_mobile2.value = f.order_mobile2.value;
				f.ship_mobile3.value = f.order_mobile3.value;
				//f.ship_email.value = f.order_email.value;
			}else{
				f.ship_name.value = "";
				f.ship_zip.value = "";
				//f.ship_zip2.value = "";
				f.ship_address.value = "";
				f.ship_address_ext.value = "";
				f.ship_phone1.value = "";
				f.ship_phone2.value = "";
				f.ship_phone3.value = "";
				f.ship_mobile1.value = "";
				f.ship_mobile2.value = "";
				f.ship_mobile3.value = "";
				//f.ship_email.value = "";
			}
		}


		//주문서에서 무통장입금 선택시 결제정보 선택화면 보이기
		function check_pay_type(st){
			if(st=="cash"){
				$('#tblPayInfo').show();
			}else{
				$('#tblPayInfo').hide();
			}
		}

		//주문서 입력정보 체크
		// onsubmit 형태로 호출하지 않고 그냥 호출해야함.
		function check_order_form(f, pg, mobile){
			if(f.order_name.value==""){
				alert("주문고객 성명을 입력해 주세요.");
				f.order_name.focus();
				return;
			}
			if(f.order_zip.value==""){
				alert("우편번호를 입력해 주세요");
				f.order_zip.focus();
				return;
			}
			if(f.order_address.value==""){
				alert("주소를 입력해 주세요");
				f.order_address.focus();
				return ;
			}
			if(f.order_address_ext.value==""){
				alert("상세주소를 입력해 주세요");
				f.order_address_ext.focus();
				return ;
			}
			if(f.order_mobile1.value==""){
				alert("휴대폰번호를 입력해 주세요");
				f.order_mobile1.focus();
				return ;
			}
			if(f.order_mobile2.value==""){
				alert("휴대폰번호를 입력해 주세요");
				f.order_mobile2.focus();
				return ;
			}
			if(f.order_mobile3.value==""){
				alert("휴대폰번호를 입력해 주세요");
				f.order_mobile3.focus();
				return ;
			}
			/*
			if(f.order_email.value==""){
				alert("이메일 주소를 입력해 주세요");
				f.order_email.focus();
				return ;
			}
			*/


			if(f.ship_name.value==""){
				alert("받으실분 성명을 입력해 주세요.");
				f.ship_name.focus();
				return ;
			}
			if(f.ship_zip.value==""){
				alert("우편번호를 입력해 주세요");
				f.ship_zip.focus();
				return ;
			}
			if(f.ship_address.value==""){
				alert("주소를 입력해 주세요");
				f.ship_address.focus();
				return ;
			}
			if(f.ship_address_ext.value==""){
				alert("상세주소를 입력해 주세요");
				f.ship_address_ext.focus();
				return ;
			}
			if(f.ship_mobile1.value==""){
				alert("휴대폰번호를 입력해 주세요");
				f.ship_mobile1.focus();
				return ;
			}
			if(f.ship_mobile2.value==""){
				alert("휴대폰번호를 입력해 주세요");
				f.ship_mobile2.focus();
				return ;
			}
			if(f.ship_mobile3.value==""){
				alert("휴대폰번호를 입력해 주세요");
				f.ship_mobile3.focus();
				return ;
			}

			//결제방법을 체크했는지 검사
			var obj = document.getElementsByName('pay_type'); 
			var objlength = obj.length;
			var objchecked = 0;
			var objcheckedval = "";
			for(i=0; i<objlength; i++){
				if(obj[i].checked==true){
					objchecked++;
					objcheckedval = obj[i].value;
				}
			}

			if(objchecked < 1){
				alert("결제방법을 선택해 주세요.");
				return ;
			}
			/*
			//무통장입금 결제
			if(objcheckedval=="cash"){
				if(f.bank_type.value==""){
					alert("입금계좌를 선택해 주세요");
					f.bank_type.focus();
					return ;
				}
				if(f.bank_name.value==""){
					alert("입금자명을 입력해 주세요.");
					f.bank_name.focus();
					return ;
				}

				if (f.chkAgree.checked==false){
					alert("개인정보 수집 및 이용에 동의하셔야 구입하실 수 있습니다.");
					f.chkAgree.focus();
					return;
				}

				//무통장입금은 바로 주문서 입력으로
				//f.target="hiddenFrame";
				f.action="/module/shop/order_evn.php";
				f.submit();
			
			}else{
				if (f.chkAgree.checked==false){
					alert("개인정보 수집 및 이용에 동의하셔야 구입하실 수 있습니다.");
					f.chkAgree.focus();
					return ;
				}
				
				//기타(카드,에스크로,핸드폰,계좌이체)는 결제창을 띄움
				if(pg=="agspay"){
					if (mobile)
					{
						f.action="http://www.allthegate.com/payment/mobile_utf8/pay_start.jsp";
					}
					else
					{
						f.action="/module/shop/pg/agspay/AGS_pay_ing.php";
					}
					Pay(f);
				}
			}
			*/
			if (f.chkAgree.checked==false){
				alert("개인정보 수집 및 이용에 동의하셔야 구입하실 수 있습니다.");
				f.chkAgree.focus();
				return ;
			}

			if(objcheckedval=="cash"){//무통장입금 결제	
				if(f.bank_type.value==""){
					alert("입금계좌를 선택해 주세요");
					f.bank_type.focus();
					return ;
				}
				if(f.bank_name.value==""){
					alert("입금자명을 입력해 주세요.");
					f.bank_name.focus();
					return ;
				}
			}
			
			f.action="/module/shop/order_evn.php";
			f.submit();

		}

		function PayPop(str,pg){
			var f = document.frmOrderForm;

			if(pg=="kcp"){
					if(parseInt(f.good_mny.value) > parseInt(50000)){
						f.pay_mod.value = "Y";
					}else{
						f.pay_mod.value = "N";
					}

					if(f.pay_mod.value=="Y"){
						var opt = new Array();
						var opt2 = new Array();
						var txt = f.good_info.value;
						var	val = txt.split("@");
						var good_info;
						var chr30 = String.fromCharCode(30);	// ASCII 코드값 30
						var chr31 = String.fromCharCode(31);	// ASCII 코드값 31

						for(i=1; i<val.length; i++){
							opt2 = val[i].split("|");
							
							if(i==1){
								good_info = "seq=" + opt2[0] + chr31 + "ordr_numb=" + opt2[1] + chr31 + "good_name=" + opt2[2] + chr31 + "good_cntx=" + opt2[3] + chr31 + "good_amtx=" + opt2[4] + chr30;
							}else if(i >1){
								good_info += "seq=" + opt2[0] + chr31 + "ordr_numb=" + opt2[1] + chr31 + "good_name=" + opt2[2] + chr31 + "good_cntx=" + opt2[3] + chr31 + "good_amtx=" + opt2[4] + chr30;
							}

						}
						f.good_info.value = good_info;
					}

					f.action="/module/shop/pg/kcp/sample/pp_ax_hub.php";
					onload_pay(f);
			}else{//aegis
				if(str == "M"){				
					//f.action="http://www.allthegate.com/payment/mobile/pay_start.jsp";
					f.action = "https://www.allthegate.com/payment/mobilev2/intro.jsp";
					f.submit();
				}else{
					f.action="/module/shop/pg/agspay/AGS_pay_ing.php";
				}
				Pay(f);
			}
		}

		//하위 카테고리 html 로 가져오기 - 좌측카테고리
		function getSubCatHtml(cat_no){
			if(cat_no){
				new Ajax.Request('/module/category/ajax_get_cat_html.php',
				{
					method:'get',
					parameters: {cat_no: cat_no},
					asynchronous: this.asynchronous,
					encoding: 'utf-8',
					contentType: 'application/x-www-form-urlencoded',

					onSuccess: function(transport){
						var response = transport.responseText || "하위카테고리가 없습니다."; 
						//alert(transport.responseText);
						showSubCatHtml(response);
					},
					
					onFailure: function(){ 
						alert('AJAX 데이터 응답중 오류가 발생하였습니다.') 
					}   
				});
			}else{
				hideSubCatHtml();
			}
		}

		function showSubCatHtml(str){
			$("divSubCategory").innerHTML = str;
			$("divSubCategory").show();
		}

		function hideSubCatHtml(){
			$("divSubCategory").innerHTML = "";
			$("divSubCategory").hide();
		}

		function getCordinatesByEvent(event){
			var cordinates = {
				x:event.pointerX(),
				y:event.pointerY()
			};
			$("divSubCategory").hide();
			$("divSubCategory").style.left = cordinates.x+10;
			$("divSubCategory").style.top = cordinates.y-5;
		}
		/* 카테고리 관련 */

		//적립금 사용
		function calUsingPoint(f, val){
			//사용하려는 적립금이 가진 적립금보다 크면 내 적립금으로 강제조정
			if(parseInt(f.using_point.value) > parseInt(f.hiddenMyPoint.value)){
				f.using_point.value = f.hiddenMyPoint.value;
			}
			//0보다 작으면 0
			if(parseInt(f.using_point.value) < 0){
				f.using_point.value = 0;
			}
			//값이 없어도 0
			if(!f.using_point.value){
				f.using_point.value = 0;
			}
			var payPrice = parseInt(f.hiddenPayAmount.value) - parseInt(f.using_point.value);
			$("showPriceTotal").innerHTML =  addComma(payPrice) + "원";
		}

		//상품이미지 크게보기
		function viewImgPop(g_idx,seq){
			obj = window.open("/module/shop/viewImgPop.php?g_idx="+g_idx+"&seq="+seq,"viewImagePop","width=100,height=100,menubars=0, toolbars=0");
		}


		//상품 상세페이지에서의 리뷰보기
		var review_list = '';
		function reveiwClick( review) {
			if( review_list != review ) {
				if( review_list !='' ) {
					review_list.style.display = 'none';
				}
				review.style.display = 'block';
				review_list = review;
			} else {
				review.style.display = 'none';
				review_list = '';
			}
		}

		//쇼셜커머스
		function sendTwitter(title,url) {
			var wp = window.open("http://twitter.com/home?status=" + encodeURIComponent(title) + " " + encodeURIComponent(url), 'twitter', '');
			if ( wp ) {
				wp.focus();
			}
		}
		function sendMe2Day(title,url,tag) {
			var wp = window.open("http://me2day.net/posts/new?new_post[body]=" + encodeURIComponent(title) + " " + encodeURIComponent(url) + "&new_post[tags]=" + encodeURIComponent(tag), 'me2Day', '');
			if ( wp ) {
				wp.focus();
			}
		}
		function sendFaceBook(title,url) {
			var wp = window.open("http://www.facebook.com/sharer.php?u=" + encodeURIComponent(url) + "&t=" + encodeURIComponent(title), 'facebook', '');
			if ( wp ) {
				wp.focus();
			}
		}
		function sendCyWorld(url,title,thumbnail,summary) {
			var wp = window.open("http://csp.cyworld.com/bi/bi_recommend_pop.php?url="+encodeURIComponent(url)+"&title="+encodeURIComponent(title)+"&thumbnail="+encodeURIComponent(thumbnail)+"&summary="+encodeURIComponent(summary),"xu","width=400px,height=364px")
			if ( wp ) {
				wp.focus();
			}
		}
	//});
//});

function doorToDoorSearch()
{

//배송추적
var dtd_companys = new Array();
dtd_companys["우체국택배"] = new Array(13, "http://service.epost.go.kr/trace.RetrieveRegiPrclDeliv.postal?sid1=","1234567890123 (13자리)","1588-1300","http://parcel.epost.go.kr");
dtd_companys["대한통운"] = new Array(10, "http://www.doortodoor.co.kr/servlets/cmnChnnel?tc=dtd.cmn.command.c03condiCrg01Cmd&invc_no=","1234567890 (10자리)", "1588-1255", "http://www.doortodoor.co.kr");
dtd_companys["한진택배"] = new Array(12, "http://www.hanjin.co.kr/Delivery_html/inquiry/result_waybill.jsp?wbl_num=", "1234567890 (10,12자리)", "1588-0011", "http://hanex.hanjin.co.kr");
dtd_companys["로젠택배"] = new Array(11, "http://www.ilogen.com/iLOGEN.Web.New/TRACE/TraceView.aspx?gubun=slipno&slipno=", "12345678901 (11자리)","1588-9988", "http://www.ilogen.com");
dtd_companys["현대택배"] = new Array(12, "http://www.hlc.co.kr/hydex/jsp/tracking/trackingViewCus.jsp?InvNo=", "1234567890 (10,12자리)", "1588-2121", "http://www.hlc.co.kr");
//dtd_companys["KG옐로우캡택배"] = new Array(11, "http://www.yellowcap.co.kr/custom/inquiry_result.asp?invoice_no=", "12345678901 (11자리)", "1588-0123", "http://www.yellowcap.co.kr");
dtd_companys["KG로지스택배"] = new Array(12, "http://www.kglogis.co.kr/delivery/delivery_result.jsp?item_no=", "12345678901 (12자리)", "1588-0123", "http://www.yellowcap.co.kr");
dtd_companys["KGB택배"] = new Array(10, "http://www.kgbls.co.kr/sub5/trace.asp?f_slipno=", "1234567890 (10자리)", "1577-4577", "http://www.kgbls.co.kr");
dtd_companys["EMS"] = new Array(13, "http://service.epost.go.kr/trace.RetrieveEmsTrace.postal?ems_gubun=E&POST_CODE=", "EE123456789KR (13자리)", "1588-1300", "http://service.epost.go.kr");
dtd_companys["DHL"] = new Array(0, "http://www.dhl.co.kr/publish/kr/ko/eshipping/track.high.html?pageToInclude=RESULTS&type=fasttrack&AWB=", "1234567890 (10자리)", "1588-0001", "http://www.dhl.co.kr");
dtd_companys["한덱스"] = new Array(10, "http://btob.sedex.co.kr/work/app/tm/tmtr01/tmtr01_s4.jsp?IC_INV_NO=", "1234567890 (10자리)", "1588-9040", "http://www.e-handex.co.kr");
dtd_companys["FedEx"] = new Array(12, "http://www.fedex.com/Tracking?ascend_header=1&clienttype=dotcomreg&cntry_code=kr&language=korean&tracknumbers=", "123456789012 (12자리)", "080-023-8000", "http://www.fedex.com/kr");
dtd_companys["동부익스프레스"] = new Array(12, "http://www.dongbuexpress.co.kr/Html/Delivery/DeliveryCheckView.jsp?item_no=", "123456789012 (12자리)", "1588-8848", "http://www.dongbuexpress.co.kr");
dtd_companys["CJ GLS"] = new Array(12, "http://nexs.cjgls.com/web/service02_01.jsp?slipno=", "123456789012 (12자리)", "1588-5353", "http://www.cjgls.co.kr");
dtd_companys["UPS"] = new Array(25, "http://www.ups.com/WebTracking/track?loc=ko_KR&InquiryNumber1=", "M1234567890 (최대 25자리)", "1588-6886", "http://www.ups.com/content/kr/ko/index.jsx" );
dtd_companys["하나로택배"] = new Array(10, "http://www.hanarologis.com/branch/chase/listbody.html?a_gb=center&a_cd=4&a_item=0&fr_slipno=", "1234567890 (최대 10자리)", "1577-2828", "http://www.hanarologis.com");
dtd_companys["대신택배"] = new Array(13, "http://home.daesinlogistics.co.kr/daesin/jsp/d_freight_chase/d_general_process2.jsp?", "1234567890123 (13자리)", "043-222-4582", "http://apps.ds3211.co.kr");
dtd_companys["경동택배"] = new Array(11, "http://www.kdexp.com/sub4_1.asp?stype=1&p_item=", "12345678901 (최대11자리)", "031-460-2400", "http://www.kdexp.com/");
dtd_companys["이노지스택배"] = new Array(13, "http://www.innogis.net/trace02.asp?invoice=", "1234567890123 (최대13자리)", "1566-4082", "http://www.innogis.net/");
dtd_companys["일양로지스택배"] = new Array(9, "http://www.ilyanglogis.com/functionality/tracking_result.asp?hawb_no=", "123456789 (9자리)", "1588-0002", "http://www.ilyanglogis.com/");
dtd_companys["CVSnet 편의점택배"] = new Array(10, "http://was.cvsnet.co.kr/src/ctod_status.jsp?invoice_no=", "1234567890 (10자리)", "1566-1025", "http://www.cvsnet.co.kr/");
dtd_companys["TNT Express"] = new Array(13, "http://www.tnt.com/webtracker/tracking.do?respCountry=kr&respLang=ko&searchType=CON&cons=", "GE123456789WW (9,13자리)", "1588-0588", "http://www.tnt.com/express/ko_kr/site/home.html");
dtd_companys["HB한방택배"] = new Array(12, "http://www.hbtb.co.kr/search/s_search.asp?f_slipno=", "123456789012 (12자리)", "1588-1059", "http://www.hbtb.co.kr/");
dtd_companys["GTX"] = new Array(12, "http://www.gtx2010.co.kr/del_inquiry_result.html?s_gbn=1&awblno=", "123456789012 (12자리)", "1588-1756", "http://www.gtx2010.co.kr");

var dtd_select_obj = document.getElementById("dtd_select");
var company = dtd_select_obj.options[dtd_select_obj.selectedIndex].value;
if(company == "" ) company = "우체국택배";


 var query_obj = document.getElementById('dtd_number_query');
 var query = query_obj.value;
 query = query.replace(' ', '');
 var url = "";
 
 /* 운송장 번호 값 확인 */
 if (company == "UPS") {
  var pattern1 = /^[0-9a-zA-Z]{9,12}$/i;
  var pattern2 = /^[0-9a-zA-Z]{18}$/i;
  var pattern3 = /^[0-9a-zA-Z]{25}$/i;
  if (query.search(pattern1) == -1 && query.search(pattern2) == -1 && query.search(pattern3) == -1) {
   alert(company+"의 운송장 번호 패턴에 맞지 않습니다.");
   query_obj.focus();
   return;
  }
 } else if (company == "EMS") {
  var pattern = /^[a-zA-Z]{2}[0-9]{9}[a-zA-Z]{2}$/;
  if (query.search(pattern) == -1) {
   alert(company+"의 운송장 번호 패턴에 맞지 않습니다.");
   query_obj.focus();
   return;
  }
 } else if (company == "한진택배" || company == "현대택배") {
  if (!isNumeric(query)) {
   alert("운송장 번호는 숫자만 입력해주세요.");
   query_obj.focus();
   return;
  } else if ( query.length != 10 && query.length != 12 ) {
   alert(company+"의 운송장 번호는 10자리 또는 12자리의 숫자로 입력해주세요.");
   query_obj.focus();
   return;
  }
 } else if (company == "경동택배") {
	 //alert(company);
  if (!isNumeric(query)) {
   alert("운송장 번호는 숫자만 입력해주세요.");
   query_obj.focus();
   return;
  } else if (query.length != 9 && query.length != 10 && query.length != 11) {
   alert(company+"의 운송장 번호는 9자리 또는 10자리 또는 11자리의 숫자로 입력해주세요.");
   query_obj.focus();
   return;
  }
 } else if (company == "이노지스택배") {
  if (!isNumeric(query)) {
   alert("운송장 번호는 숫자만 입력해주세요.");
   query_obj.focus();
   return;
  } else if (query.length > 13) {
   alert(company+"의 운송장 번호는 최대 13자리의 숫자로 입력해주세요.");
   query_obj.focus();
   return;
  }
 } else if (company == "TNT Express") {
  var pattern1 = /^[a-zA-Z]{2}[0-9]{9}[a-zA-Z]{2}$/;
  var pattern2 = /^[0-9]{9}$/;
  if (query.search(pattern1) == -1 && query.search(pattern2) == -1) {
   alert(company+"의 운송장 번호 패턴에 맞지 않습니다.");
   query_obj.focus();
   return;
  }
 } else {
  if (!isNumeric(query)) {
   alert("운송장 번호는 숫자만 입력해 주세요.");
   query_obj.focus();   
   return;
  } else if (dtd_companys[company][0] > 0 && dtd_companys[company][0] != query.length) {
   alert(company+"의 운송장 번호는 "+dtd_companys[company][0]+"자리의 숫자로 입력해 주세요.");
   query_obj.focus();   
   return;
  }
 }
 /* 링크만들기 */
 if (company == "대신택배") {
  url = dtd_companys[company][1];
  url+= "billno1="+query.substring(0,4);
  url+= "&billno2="+query.substring(4,7);
  url+= "&billno3="+query.substring(7,13);
 } else if (dtd_companys[company][1]) {
  url = dtd_companys[company][1]+query;
 }
 window.open(url,"_blank");
}

function isNumeric(s) {
 var count = 0;
 for (i = 0; i < s.length; i++) {

  if(s.charAt(i)<'0' || s.charAt(i)>'9') {
   count++;
  }
 }
 if(count > 0) {
  return 0;
 } else {
  return 1;
 }
}

function SetDeleveryContents(idx) {
 company = dtd_select_obj.options[idx].value;
 document.getElementById("Dcs01").innerHTML = dtd_companys[company][2];
 document.getElementById("Dcs02").innerHTML = company;
 document.getElementById("Dcs03").innerHTML = dtd_companys[company][3];
 document.getElementById("Dcs04").href  = dtd_companys[company][4];
 document.getElementById("Dcs04").target  = "_blank";
 
}

function checkValidDoor(query) {
 /* 운송장 번호 값 확인 */
 if (company == "UPS") {
  var pattern1 = /^1z[0-9]{16}$/i;
  var pattern2 = /^M[0-9]{10}$/;
  if (query.search(pattern1) == -1 && query.search(pattern2) == -1) {
   lert(company+"의 운송장 번호 패턴에 맞지 않습니다.");
   document.door_to_door_frm.dtd_number_query.focus();
   return;
  }
 } else if (company == "EMS") {
  var pattern = /^[a-zA-z]{2}[0-9]{9}[a-zA-z]{2}$/;
  if (query.search(pattern) == -1) {
   alert(company+"의 운송장 번호 패턴에 맞지 않습니다.");
   document.door_to_door_frm.dtd_number_query.focus();
   return;
  }
 } else if (company == "SC 로지스" || company == "한진택배" || company == "현대택배") {
  if (!isNumeric(query)) {
   alert("운송장 번호는 숫자만 입력해주세요.");
   document.door_to_door_frm.dtd_number_query.focus();
   return;
  } else if ( query.length != 10 && query.length != 12 ) {
   alert(company+"의 운송장 번호는 10자리 또는 12자리의 숫자로 입력해주세요.");
   document.door_to_door_frm.dtd_number_query.focus();
   return;
  }
 } else {
  if (!isNumeric(query)) {
   alert("운송장 번호는 숫자만 입력해 주세요.");
   document.door_to_door_frm.dtd_number_query.focus();   
   return;
  } else if (dtd_companys[company][0] > 0 && dtd_companys[company][0] != query.length) {
   alert(company+"의 운송장 번호는 "+dtd_companys[company][0]+"자리의 숫자로 입력해 주세요.");
   document.door_to_door_frm.dtd_number_query.focus();   
   return;
  } 
 }

}
